# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::AlphaFunc Class Reference

RenderState wrapping the OpenGL function glAlphaFunc(), see also http://www.opengl.org/sdk/docs/man/xhtml/glAlphaFunc.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::AlphaFunc:

List of all members.

## Public Member Functions

| AlphaFunc (EFunction alphafunc=FU_ALWAYS, float refvalue=0)
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (EFunction alphafunc, float ref_value)
EFunction | alphaFunc () const
float | refValue () const
virtual ref< RenderState > | clone () const

## Protected Attributes

float | mRefValue
EFunction | mAlphaFunc

## Detailed Description

RenderState wrapping the OpenGL function glAlphaFunc(), see also http://www.opengl.org/sdk/docs/man/xhtml/glAlphaFunc.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_ALPHA_TEST

Definition at line 737 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::AlphaFunc::AlphaFunc | ( | EFunction | alphafunc = `FU_ALWAYS`,
|  | float | refvalue = `0`
| ) |  | `[inline]`

Definition at line 742 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::AlphaFunc::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 747 of file Shader.hpp.

References vl::RS_AlphaFunc.

void AlphaFunc::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 326 of file Shader.cpp.

References mAlphaFunc, mRefValue, and VL_CHECK_OGL.

void vl::AlphaFunc::set | ( | EFunction | alphafunc,
|  | float | ref_value
| ) |  | `[inline]`

Definition at line 751 of file Shader.hpp.

EFunction vl::AlphaFunc::alphaFunc | ( | ) | const`[inline]`

Definition at line 753 of file Shader.hpp.

float vl::AlphaFunc::refValue | ( | ) | const`[inline]`

Definition at line 755 of file Shader.hpp.

virtual ref<RenderState> vl::AlphaFunc::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 757 of file Shader.hpp.

## Member Data Documentation

float vl::AlphaFunc::mRefValue`[protected]`

Definition at line 765 of file Shader.hpp.

Referenced by apply().

EFunction vl::AlphaFunc::mAlphaFunc`[protected]`

Definition at line 766 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:51.
Permission is granted to use this page to write and publish articles regarding Visualization Library.